/*global process,module,require*/

var credentials = require('./credentials.json');

var REDIS_PORT = 49151;

var VALID_DEPLOY_TARGETS = [ //update these to match what you call your deployment targets
  'staging',
  'production'
];

module.exports = function(deployTarget) {
  var ENV = {
    build: {
      environment: 'production'
    },
    redis: {
      allowOverwrite: true,
      keyPrefix: '<%= dasherizedPackageName %>:index',
      port: REDIS_PORT
    },
    s3: {
      accessKeyId: credentials.accessKeyId,
      secretAccessKey: credentials.secretAccessKey,
      bucket: '', // YOUR S3 BUCKET NAME */
    },
    'ssh-tunnel': {
      srcPort: REDIS_PORT
    }
  };

  if (VALID_DEPLOY_TARGETS.indexOf(deployTarget) === -1) {
    throw new Error('Invalid deployTarget ' + deployTarget);
  }

  if (deployTarget === 'staging') {
    ENV.redis.url = process.env.QA_REDIS_URL;
    ENV['ssh-tunnel'].host = ''/*staging host*/ ;
    ENV['ssh-tunnel'].username = ''/*staging host*/ ;
    ENV['ssh-tunnel'].privateKeyPath = ''/*staging host*/ ;
  }

  if (deployTarget === 'production') {
    ENV.redis.url = process.env.PROD_REDIS_URL;
    ENV['ssh-tunnel'].host = ''/*production host*/ ;
    ENV['ssh-tunnel'].username = ''/*production host*/ ;
    ENV['ssh-tunnel'].privateKeyPath = ''/*production host*/ ;
  }

  return ENV;
};
